Organizations
Update organization business hours configuration
Partially updates business-hours settings: timezone, weekly schedule (or null to clear), holidays, exceptional hours, and the allowUserBusinessHoursOverride toggle. Validates IANA timezones, HH:mm times, and YYYY-MM-DD dates. Admin can update own org; SuperAdmin can update any org.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
organizationId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/organizations/string/business-hours" \ -H "Content-Type: application/json" \ -d '{ "timezone": "America/New_York", "businessHours": { "monday": { "enabled": true, "start": "09:00", "end": "17:00" }, "tuesday": { "enabled": true, "start": "09:00", "end": "17:00" }, "wednesday": { "enabled": true, "start": "09:00", "end": "17:00" }, "thursday": { "enabled": true, "start": "09:00", "end": "17:00" }, "friday": { "enabled": true, "start": "09:00", "end": "15:00" } }, "holidays": [ { "date": "2026-12-25", "label": "Christmas Day" } ], "exceptionalHours": [], "allowUserBusinessHoursOverride": false }'{ "success": true, "data": { "timezone": "America/New_York", "businessHours": { "monday": { "enabled": true, "start": "09:00", "end": "17:00" } }, "holidays": [ { "date": "2026-12-25", "label": "Christmas Day" } ], "exceptionalHours": [], "allowUserBusinessHoursOverride": false }}